> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Kill job

> End any running processes for a job. Provide exactly one of `job_root`, `job_id`, or `external_job_id`.



## OpenAPI

````yaml post /{env_id}/{flow_id}/{tenant}/jobs/kill
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/{tenant}/jobs/kill:
    post:
      summary: Kill job
      description: >-
        End any running processes for a job. Provide exactly one of `job_root`,
        `job_id`, or `external_job_id`.
      operationId: jobs-kill-post
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              oneOf:
                - required:
                    - job_root
                - required:
                    - job_id
                - required:
                    - external_job_id
              properties:
                job_root:
                  type: string
                  description: S3 root of this job
                job_id:
                  type: string
                  description: ID of this job
                external_job_id:
                  type: string
                  description: External ID of this job
                reason:
                  type: string
                  description: Reason for killing this job
            example:
              job_root: <string>
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.